Subject: [RTG-DIR] RtgDir review: draft-ietf-isis-reverse-metric-15.txt

From: Harish Sitaraman <[email-masked]>
Date: Wed, 24 Oct 2018 22:51:04 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-isis-reverse-metric-15.txt
Reviewer: Harish Sitaraman
Review Date: 24-Oct-2018
IETF LC End Date: 22-Oct-2018 
Intended Status: Standards Track

Summary: 
I have some minor concerns about this document that I think should be resolved before publication.

Comments:
This document is well written. The context is well specified along with good operational examples in the Appendix. 

Section 1.2/1.4:
Mentions 'reverse metric' as a solution for these use-cases - at this point, the reader doesn't yet know what is a reverse metric (the solution in this draft). Maybe these sections should just stick with the use-cases since anyway the document is about offering a solution to the problems?

Section 2:
"...an implementation MUST ignore all the Reverse metric TLVs" - does this imply the receiving node silently ignores (behaves as if it did not receive) the received Reverse Metric TLVs since it received more than one?
"Refer to "Elements of Procedure", in section 3" - can remove "Elements of Procedure" as the entire section 3 is that. 
"The Metric field, in the Reverse Metric TLV" - mentioning 'in the Reverse Metric TLV' seems redundant considering the section and that the previous paragraph did not mention it. 
"Upon receiving the Traffic Engineering METRIC sub-TLV" - make METRIC small case.
"a node SHOULD add the received Traffic Engineering Metric offset value..." - since this is SHOULD - what happens if a node does not add the value to the offset?
First reference to 2^24-2 -> I understand why this upper bound is the case after looking at RFC 5305 and how max-metric is defined. Maybe the text can make it more explicit.

Section 3.5:
"It is RECOMMENDED also that the CSPF does the immediate CSPF..." - I'm not sure if this sentence reads properly. Is it stating that the computing node (ingress or controller) should immediately run the CSPF?

Section 1.1/Appendix B: This might be outside the scope of the draft (as this is ISIS), but in general, links can be aggregate bundles and these are widely deployed in backbone networks. I assume the entire bundle has to be isolated using techniques in this draft and that's likely a large capacity going offline. There are other methods available to isolate a set of ports from a bundle and minimize loss in that process. 

Appendix B:
Last paragraph, first sentence: "The risks of misidentifying...and subsequently...and potentially" - Would the following be better - "...can potentially result in paths with increased latency,...". 

Major Issues:
No major issues found.

Minor Issues:
No minor issues found.

Nits:
Some form of consistency when defining acronyms for the first time: Expand the full name (acronym) e.g. "Provider Edge (PE)". An example is LAN - it is used in the abstract as acronym but expanded against 'broadcast network' in section 1.4.
The figures are not cross-referenced within the text - I'm not sure if that's a necessity or not. Just pointing out... in case RFC editor needs it.

--
Harish